/**
 * Copyright (c) 2016-2019 人人开源 All rights reserved.
 * <p>
 * https://www.renren.io
 * <p>
 * 版权所有，侵权必究！
 */

package io.renren.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.modules.sys.entity.SysUserPlantEntity;

import java.util.List;


/**
 * 用户与角色对应关系
 *
 * @author Mark 735032128@qq.com
 */
public interface SysUserPlantService extends IService<SysUserPlantEntity> {

    void saveOrUpdate(Long userId, List<Long> plantIdList);

    /**
     * 根据用户ID，获取装置名列表
     */
    List<String> queryPlantNameList(Long userId);

    /**
     * 根据用户ID，获取装置名列表
     */
    List<Long> queryPlantIdList(Long userId);

    /**
     * 根据角色ID数组，批量删除
     */
    int deleteBatch(Long[] plantIds);
}
